Subject: [Lake] FW: New Version Notification for draft-selander-lake-edhoc-00.txt

From: John Mattsson <[email-masked]>
Date: Thu, 7 Nov 2019 12:28:18 +0000

Hi,

We have submitted a new version of draft-selander-ace-cose-ecdhe to LAKE with the new name draft-selander-lake-edhoc-00

The changes from draft-selander-ace-cose-ecdhe-14 are:

- We merged the static Diffie-Hellman branch and moved it to the main body of the document instead of an appendix. The benefits of using static Diffie-Hellman keys was recently pointed out by Karthik. We think static Diffie-Hellman keys are the best option for RPKs. 

- Added a sentence that EDHOC with symmetric authentication does not offer protection of the PSK identifier ID_PSK (as pointed out by Karthik). 

- Added an additional sentence on key compromise and passive attackers.

New issues on GitHub:

- I added Karthiks mail about static Diffie-Hellman keys to the existing issue of static Diffie-Hellman key

- I created a new issue on PSK identifier protection with a link to Karthiks mail.

Cheers,
John

-----Original Message-----
From: "[email-masked]" <[email-masked]>
Date: Monday, 4 November 2019 at 21:22
To: Göran Selander <[email-masked]>, John Mattsson <[email-masked]>, Göran Selander <[email-masked]>, John Mattsson <[email-masked]>, Francesca Palombini <[email-masked]>
Subject: New Version Notification for draft-selander-lake-edhoc-00.txt

    A new version of I-D, draft-selander-lake-edhoc-00.txt
    has been successfully submitted by John Preuß Mattsson and posted to the
    IETF repository.
    
    Name:		draft-selander-lake-edhoc
    Revision:	00
    Title:		Ephemeral Diffie-Hellman Over COSE (EDHOC)
    Document date:	2019-11-04
    Group:		Individual Submission
    Pages:		74
    URL:            https://www.ietf.org/internet-drafts/draft-selander-lake-edhoc-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-selander-lake-edhoc/
    Htmlized:       https://tools.ietf.org/html/draft-selander-lake-edhoc-00
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-selander-lake-edhoc

    Abstract:
       This document specifies Ephemeral Diffie-Hellman Over COSE (EDHOC), a
       very compact, and lightweight authenticated Diffie-Hellman key
       exchange with ephemeral keys.  EDHOC provides mutual authentication,
       perfect forward secrecy, and identity protection.  EDHOC is intended
       for usage in constrained scenarios and a main use case is to
       establish an OSCORE security context.  By reusing COSE for
       cryptography, CBOR for encoding, and CoAP for transport, the
       additional code footprint can be kept very low.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat